#pragma once
#include "Expression.h"

class Variable : public Expression
{
public:
	Variable(std::string name);
	virtual ~Variable(void);
	virtual int interpret(std::map<std::string,Expression*> &variables);
private:
	std::string m_name;
    bool isNumeric(std::string name);
};

